Commit 6dce43a7 authored by Jens Georg's avatar Jens Georg

build: Make shotwell depend on generated version.h

parent ac74730b
......@@ -30,7 +30,8 @@ add_global_arguments(['--target-glib=2.40',
'--enable-experimental',
'--enable-deprecated'], language : 'vala')
vcs_tag(command: ['git', 'rev-parse', 'HEAD'], input: 'version.h.in', output: 'version.h', fallback: '')
version_h = vcs_tag(command: ['git', 'rev-parse', 'HEAD'], input: 'version.h.in', output: 'version.h', fallback: '')
version = declare_dependency(sources : version_h, include_directories : include_directories('.'))
gtk = dependency('gtk+-3.0', version : '>= 3.22')
gio = dependency('gio-2.0', version: '>= 2.40')
......
......@@ -32,7 +32,7 @@ endif
shotwell_deps = [gio, gee, sqlite, gtk, sqlite, posix, gphoto2,
gstreamer_pbu, gio_unix, gudev, gexiv2, gmodule,
libraw, libexif, sw_plugin, webpdemux, webp]
libraw, libexif, sw_plugin, webpdemux, webp, version]
if unity_available
shotwell_deps += [unity]
endif
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment